C
C This file is issued from the MODULEF library, but has been 
C subsequently modified
C
      INTEGER FUNCTION ICHAR4(CHAR4)
C ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C BUT :
C     REALISER LA CONVERSION : CHARACTER*4 -> INTEGER A4
C
C PARAMETRE D'ENTREE :
C     CHAR4   : CHAINE DE 4 CARACTERES A CONVERTIR
C ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C PROGRAMMEUR : PATRICK LAUG ; INRIA (3) 954 90 20 POSTE 3508
C ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
      CHARACTER*(*) CHAR4
      CHARACTER*4 BUFFER
      BUFFER = CHAR4
      READ (BUFFER,'(A4)') I
      ICHAR4 = I
      END
